%define upstream_name	 List-Compare
%define upstream_version 0.55

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Compare elements of two or more lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Simple) >= 0.100.0
BuildArch:  noarch

%description
This module allows to compare elements of two or more lists.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%make_build test

%files 
%doc Changes FAQ META.json META.yml MYMETA.yml README
%{perl_vendorlib}/List
%{_mandir}/*/*

%changelog
* Tue Aug 18 2020 tv <tv> 0.550.0-1.mga8
+ Revision: 1614690
- update to 0.55

* Wed Feb 12 2020 umeabot <umeabot> 0.530.0-5.mga8
+ Revision: 1495396
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.530.0-4.mga7
+ Revision: 1268889
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.530.0-3.mga6
+ Revision: 1029184
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.530.0-2.mga6
+ Revision: 968024
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.530.0-1.mga6
+ Revision: 851168
- update to 0.53

* Wed Oct 15 2014 umeabot <umeabot> 0.390.0-3.mga5
+ Revision: 739562
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.390.0-2.mga5
+ Revision: 685235
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 0.390.0-1.mga5
+ Revision: 650398
- update to 0.39

* Sat Oct 19 2013 umeabot <umeabot> 0.380.0-2.mga4
+ Revision: 534067
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.380.0-1.mga4
+ Revision: 476205
- update to 0.38

* Sun Jan 13 2013 umeabot <umeabot> 0.370.0-2.mga3
+ Revision: 369124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.370.0-1.mga1
+ Revision: 26448
- mageia rebuild
- imported package perl-List-Compare

